<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="f56f36e4a05c6932" weblate-flags="safe-html, strict-same">
        <source>Hash Traits</source>
        <target state="translated">哈希特征</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">2</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a65245d54c31445a" weblate-flags="safe-html, strict-same">
        <source>:idprefix: hash_traits_</source>
        <target state="translated">:idprefix: hash_traits_</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">4</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ef77a0bd71d08a13" weblate-flags="safe-html, strict-same">
        <source>`&lt;boost/unordered/hash_traits.hpp&gt;` Synopsis</source>
        <target state="translated">`++&amp;lt;++boost/unordered/hash++_++traits.hpp++&amp;gt;++` 概要</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">6</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8e9eaf693dc30bfb" weblate-flags="safe-html, strict-same">
        <source>Note:;; This header is deprecated. Use instead `link:../../../../../container_hash/doc/html/hash.html#ref_hash_is_avalanchinghash[boost::hash_is_avalanching]` defined in `link:../../../../../container_hash/doc/html/hash.html#ref_boostcontainer_hashhash_is_avalanching_hpp[&lt;boost/container_hash/hash_is_avalanching.hpp&gt;]`.</source>
        <target state="translated">注意;; 此头文件已弃用。请改用定义于 link:../../../../../container_hash/doc/html/hash.html#ref_boostcontainer_hashhash_is_avalanching_hpp[`++&amp;lt;++boost/container++_++hash/hash++_++is++_++avalanching.hpp++&amp;gt;++`] 中的 link:../../../../../container_hash/doc/html/hash.html#ref_hash_is_avalanchinghash[`boost::hash++_++is++_++avalanching`] 。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">22</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25cc880bf6d5a61c" weblate-flags="safe-html, strict-same">
        <source>Open-addressing and concurrent containers use the provided hash function `Hash` as-is if `hash_is_avalanching&lt;Hash&gt;::value` is `true`; otherwise, they implement a bit-mixing post-processing stage to increase the quality of hashing at the expense of extra computational cost.</source>
        <target state="translated">当 `hash++_++is++_++avalanching++&amp;lt;++Hash++&amp;gt;++::value` 为 `true` 时，开放寻址和并发容器会直接使用所提供的哈希函数 `Hash` ；否则它们将实施位混合后处理阶段，以牺牲额外计算成本为代价来提升哈希质量。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">27</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d2aefa81f6811453" weblate-flags="safe-html, strict-same">
        <source>---</source>
        <target state="translated">---</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">32</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
